package com.canbot.u05.sdk.clientdemo.ImageCaptioning;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.IBinder;
import android.os.RemoteException;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.SurfaceHolder;
import android.view.SurfaceView;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.Toast;

import com.alibaba.fastjson.JSON;
import com.canbot.u05.IMsgBind;
import com.canbot.u05.IMsgCallBack;
import com.canbot.u05.sdk.clientdemo.ImageCaptioning.CameraBaseActivity;
import com.canbot.u05.sdk.clientdemo.MainActivity;
import com.canbot.u05.sdk.clientdemo.MsgType;
import com.canbot.u05.sdk.clientdemo.Sensor;
import com.canbot.u05.sdk.clientdemo.StringMsgBean;
import com.canbot.u05.sdk.clientdemo.bean.ClientVersionInfo;
import com.canbot.u05.sdk.clientdemo.bean.WifiStatus;
import com.canbot.u05.sdk.clientdemo.util.Logger;
import com.canbot.u05.sdk.clientdemo.util.WifiUtils;
import com.uurobot.sdkclientdemo.R;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

public class ImageCaptioningActivity extends CameraBaseActivity implements SurfaceHolder.Callback {

    private SurfaceView mIvImage;
    private Button start_Btn;
    private String TAG = "ImageCaptioningActivity";


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_image_captioning);
        initView();
        start_Btn = (Button)findViewById(R.id.imageC_start);
        start_Btn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                takePhotoandtell(null,false);

            }
        });


    }
    private void initView() {
        mIvImage = (SurfaceView) findViewById(R.id.imageC_sv);
        DisplayMetrics displayMetrics = getResources().getDisplayMetrics();
        ViewGroup.LayoutParams layoutParams = mIvImage.getLayoutParams();
        layoutParams.width = displayMetrics.heightPixels * 3 / 4;
        layoutParams.height = displayMetrics.heightPixels;
        mIvImage.setLayoutParams(layoutParams);
        mIvImage.getHolder().addCallback(this);
    }

    @Override
    public void surfaceCreated(SurfaceHolder holder) {
        initCamera(holder);
    }

    @Override
    public void surfaceChanged(SurfaceHolder holder, int format, int width, int height) {
        openCamera();
        
    }

    @Override
    public void surfaceDestroyed(SurfaceHolder holder) {
        recycleCamera();
    }

    @Override
    protected void onPreviewCallback(byte[] data) {

    }

    @Override
    protected void onResume() {
        super.onResume();

    }

    @Override
    protected void onPause() {

        super.onPause();
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();

    }

}
