from flask import Flask, jsonify
from flask import request, abort, send_file, render_template
import base64
from urllib import parse
from test_model_serving import make_prediction
from PIL import Image
import io
app = Flask(__name__)
@app.route("/api/v1/prediction/nic", methods=['POST'])
def commodity_predict_v2():
    """
    对接百度机器人的接口逻辑实现
    :return:
    """
    # 1、接到请求数据，然后进行数据解析
    # image = request.files.get('image')
    # image = Image.open(image)
    # imgByteArr = io.BytesIO()
    # image.save(imgByteArr, format='JPEG')
    # imgByteArr = imgByteArr.getvalue()
    # # 编码处理
    #
    # # 2、定义一个新的预测接口，返回预测结果
    # # y_predict (100, 6)
    # y_predict = make_prediction(imgByteArr)
    # y_predict[0][:, 1].shape[0] = y_predict[0].shape[0] 预测的物体个数
    req = request.get_json()
    image = req['image']
    # 编码处理
    img_str = parse.unquote(image)
    # base64的解码,之后是图片本身的内容
    img = base64.b64decode(img_str.encode())

    # 2、定义一个新的预测接口，返回预测结果
    # y_predict (100, 6)
    y_predict = make_prediction(img)
    resp = {
        "result": []
    }
    resp['result'].append({"description":y_predict[6:-4]})
    print(resp['result'])
    return jsonify(resp)
if __name__ == "__main__":
    app.run(debug=True, host='0.0.0.0')
