from data_preprocess import Data_Preprocess
from data_tokenizer import Data_tokenizer
from NIC_model import Nic_model
import os
from data_gennerator import Data_Gennerator
from keras.models import Model, load_model
data_preprocess = Data_Preprocess()
train_imgs = data_preprocess.load_photos('./Flickr8k_text/Flickr_8k.trainImages.txt')
print('Dataset:',len(train_imgs))
train_descriptions = data_preprocess.load_clean_descriptions("./descriptions.txt", train_imgs)
print('Descriptions: train=',len(train_descriptions))
train_features = data_preprocess.load_feature(train_imgs)
print('Photos: train=',len(train_features))
data_tokenizer = Data_tokenizer()
max_length = data_tokenizer.max_length(train_descriptions)
print('Description Length: ',max_length)
tokenizer = data_tokenizer.create_tokenizer(train_descriptions)
vocab_size = len(tokenizer.word_index)+1
print('Vocabulary Size:',vocab_size)
nic_model = Nic_model()
# model =nic_model.define_model(vocab_size, max_length)
model = load_model('./models/model_19.h5')
epochs = 10
steps = len(train_descriptions)
# making a directory models to save our models
# os.mkdir("models")
data_gen = Data_Gennerator()
for i in range(epochs):
    generator = data_gen.data_gennerator(train_descriptions, train_features, tokenizer, max_length)
    model.fit_generator(generator, epochs=1, steps_per_epoch= steps, verbose=1)
    model.save("models/model_" + str(i+20) + ".h5")